%define ver 0.0.2
%define rel 3

Summary:	Utilities and LaTeX package for slide presentations using xdvik
Version: 	%ver
Release:	%rel
Name:		cct-slides
Group:		Applications/Publishing
Requires:	tetex tetex-fonts tetex-latex cct >= 0.5.0 xdvik >= 22.74.1
Source:		cct-slides.tar.bz2
URL:		ftp://lsec.cc.ac.cn/pub/cct
Packager:	Zhang Lin-bo <zlb@lsec.cc.ac.cn>
License:	non-commercial use
BuildRoot:	/var/tmp/cct-slides-root

%description

Utilities and a LaTeX package for slide presentations using xdvik under
Linux.

%prep
%setup -q -n cct-slides

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/texmf/tex/cct \
	 $RPM_BUILD_ROOT/usr/bin \
	 $RPM_BUILD_ROOT/usr/share/doc/cct-slides
/bin/cp -af slides slides2pdf slides-browser slides-functions \
	$RPM_BUILD_ROOT/usr/bin/.
/bin/cp -af sample.tex bgblue.jpg bgwhite.jpg \
	$RPM_BUILD_ROOT/usr/share/doc/cct-slides/.
/bin/cp -af cctslides.sty $RPM_BUILD_ROOT/usr/share/texmf/tex/cct/.

%clean
rm -rf $RPM_BUILD_ROOT

%post
texhash

%postun
texhash

%files
%defattr(-,root,root)
%{_prefix}/bin/slides
%{_prefix}/bin/slides2pdf
%{_prefix}/bin/slides-browser
%{_prefix}/bin/slides-functions
%{_prefix}/share/texmf/tex/cct/cctslides.sty
%{_prefix}/share/doc/cct-slides/sample.tex
%{_prefix}/share/doc/cct-slides/bgblue.jpg
%{_prefix}/share/doc/cct-slides/bgwhite.jpg

%changelog

* Thu Aug 21 2003 Zhang Linbo <zlb@lsec.cc.ac.cn>

- slides, slides2pdf: add '-bbox' option.

* Thu Jul 17 2003 Zhang Linbo <zlb@lsec.cc.ac.cn>

- Created the RPM package.
